net.sf.jasperreports.crosstabs

## Interface JRCrosstabColumnGroup

- All Superinterfaces:
    java.lang.Cloneable, JRCloneable, JRCrosstabGroup
  All Known Implementing Classes:
    JRBaseCrosstabColumnGroup, JRDesignCrosstabColumnGroup, JRFillCrosstabColumnGroup

      public interface JRCrosstabColumnGroup
      extends JRCrosstabGroup

  Crosstab column group interface.
  Version:
    $Id: JRCrosstabColumnGroup.java 5960 2013-03-07 14:54:18Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRCellContents` | `getCrosstabHeader()` Returns the crosstab header cell of the column group.
    `int` | `getHeight()` Returns the height of the group headers.
    `CrosstabColumnPositionEnum` | `getPositionValue()` Returns the position of the header contents for header stretching.

    - ### Methods inherited from interface net.sf.jasperreports.crosstabs.JRCrosstabGroup

      `getBucket, getHeader, getName, getTotalHeader, getTotalPositionValue, getVariable, hasTotal`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Method Detail

    - #### getHeight

          int getHeight()

      Returns the height of the group headers.
      Returns:
        the height of the group headers
      See Also:
        `JRCrosstabGroup.getHeader()`, `JRCrosstabGroup.getTotalHeader()`

    - #### getPositionValue

          CrosstabColumnPositionEnum getPositionValue()

      Returns the position of the header contents for header stretching.

      The column group headers stretch horizontally when there are multiple sub group entries. The header contents will be adjusted to the new width depending on this attribute:

      - `CrosstabColumnPositionEnum.LEFT` - the contents will be rendered on the left side of the header
      - `CrosstabColumnPositionEnum.CENTER` - the contents will be rendered on the center of the header
      - `CrosstabColumnPositionEnum.RIGHT` - the contents will be rendered on the right side of the header
      - `CrosstabColumnPositionEnum.STRETCH` - the contents will be proportionally stretched to the new header size
      Returns:
        the position of the header contents for header stretching

    - #### getCrosstabHeader

          JRCellContents getCrosstabHeader()

      Returns the crosstab header cell of the column group.

      The cell will be rendered at the left of the corresponding row of column headers, potentially overlapping `the crosstab header cell`.

      The width of the cell is the total width of row group headers, and the height is the height of the corresponding column header.

      Returns:
        the crosstab header cell of the column group, or `null` if no header cell is present
      See Also:
        `JRCrosstab.getHeaderCell()`, `getHeight()`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com